Subject: bug#60854: Adjust icons shown with warnings

From: Pedro Andres Aranda Gutierrez <[email-masked]>
Date: Tue, 17 Jan 2023 10:56:44 +0100

From a European driver’s POV, the signs that seemed to make most sense to me on the other side of the pond were the warning signs, maybe because they were triangles too…

;-)

/PA

Enviado desde mi iPhone

> El 16 ene 2023, a las 20:30, Jim Porter <[email-masked]> escribió:
> 
> On 1/16/2023 1:58 AM, Daniel Martín via Bug reports for GNU Emacs, the Swiss army knife of text editors wrote:
>> Pedro Andres Aranda Gutierrez <[email-masked]> writes:
>>> Currently, warnings are visually "enhanced" with a ⛔ sign.
>>> However, the warning signs are ⚠️ or its slightly different European
>>> version.
>> I had the same question as you, but it turns out that the ⛔ icon is not
>> intended to represent a warning, it is a button that you can click to
>> *suppress* that warning type.
> 
> I think the confusion is that the literal meaning of the ⛔ icon is "No Entry", so it's very easy to read it as, "Stop! Don't go this way because there's a problem ahead."
> 
> Perhaps a bit better would be 🚫, whose official name is apparently "No Entry Sign", even though the slashed circle visual usually just means "No ____", e.g. "No Smoking". Hence, some sources call it the Prohibited emoji.
> 
> Another way to handle the UI (which I see more often, and personally prefer) is that the button is a toggle, and its icon indicates the current state. This would require adding a bit of code so that clicking the button again *un*suppresses the warning, but then you could use something like ⚠️ to indicate that the warning is currently enabled (and clicking it will suppress it), and maybe ⚪ or ⚬ to indicate that the warning is currently suppressed (and clicking it will reenable it). Or maybe ❗ and ❕, respectively?
> 
> We could also add actual images for this icon if none of these are quite right, and use the emoji as a fallback.